Bug 1552980 - Errors with heat templates used to deploy Dell EMC SC and PS Cinder backends
Summary: Errors with heat templates used to deploy Dell EMC SC and PS Cinder backends
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Alan Bishop
QA Contact: Tzach Shefi
URL:
Whiteboard:
: 1553229 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 01:29 UTC by Alan Bishop
Modified: 2019-07-18 09:06 UTC (History)
20 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.3.8-7.el7ost
Doc Type: Bug Fix
Doc Text:
Using composable roles for deploying Dell SC and PS Block Storage backend caused errors. The backends could only be deploying using 'cinder::config::cinder_config' hiera data. With this update, the composable role support for deploying the Dell SC and PS Block Storage backends is updated. As a result, they can be now deployed using composable roles.
Clone Of:
Environment:
Last Closed: 2018-05-17 15:40:56 UTC
tshefi: automate_bug-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42:06 UTC

Description Alan Bishop 2018-03-08 01:29:24 UTC
Description of problem:

When TripleO support for deploying Dell SC and PS Cinder backends was upgraded to support composable roles, a couple of pieces were missed when backported to OSP-10. [1] is the patch that fixed things on ocata, and a variant of the patch will be required for OSP-10.

[1] https://review.openstack.org/456382

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Deploy overcloud using the cinder-dellsc-config.yaml or cinder-dellps-config.yaml environment files.
2.
3.

Actual results:

The corresponding Dell SC or PS Cinder backend is not deployed. The deployment will appear to succeed, but the backend settings are completely missing in the controller's /etc/cinder/cinder.conf.

Expected results:

The Dell SC or PS backend settings are present in cinder.conf

Additional info:

The puppet/services/cinder-backend-dellsc.yaml and cinder-backend-dellps.yaml heat template version is wrong. Both files reference Ocata, and need to reference Newton to work in OSP-10.

Comment 1 Rajini Karthik 2018-03-08 14:58:49 UTC
*** Bug 1553229 has been marked as a duplicate of this bug. ***

Comment 13 Chris Paquin 2018-05-02 14:47:08 UTC
Any update on this issue. Hitting this with my customer in their labs after updating undercloud. Is there an rpm avail?

Comment 14 Alan Bishop 2018-05-02 15:16:33 UTC
This is targeted for the upcoming 10z8.

Comment 24 Avi Avraham 2018-05-14 09:35:26 UTC
Verified in installation
installed RPM package
openstack-tripleo-heat-templates-5.3.10-1.el7ost.noarch

RHOS10 installation been deployed using the following heat templates 
/usr/share/openstack-tripleo-heat-templates/environments/cinder-dellps-config.yaml
/usr/share/openstack-tripleo-heat-templates/environments/cinder-dellsc-config.yaml

After installation the cinder.conf was checked and verified that 
[tripleo_dellsc] or [tripleo_dellps] sections were added to the configuration file. 
No tested been preformed with Dell storage as backend due the lack of hardware

Comment 27 errata-xmlrpc 2018-05-17 15:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593

Comment 28 Tzach Shefi 2019-07-18 09:06:01 UTC
Nothing to automate/test as I don't have access to such storage systems.
Plus specific to these backends only.


Note You need to log in before you can comment on or make changes to this bug.